Auto Multiple Choice - Bug # 96: can't printing from AMC

Status: Closed Priority: Normal
Author: red sea Category:

Created: 11/21/2012 Assignee:

Updated: 12/14/2012 Due date:

Description: Dear

i can't print papers from amc , i sent the project and log file by email.

regards

History

11/28/2012 04:32 pm - Anirvan Sarkar
| also have the same problem.
The following message is displayed when clicking on _Print Papers:_

*Printing with method 'CUPS' needs some perl modules that are not installed: Net::CUPS, Net::CUPS::PPD. Please install these modules or switch to

another printing method.*

11/28/2012 04:54 pm - Alexis Bienvenlie
> some perl modules that are not installed: Net::CUPS, Net::CUPS::PPD

If on ubuntu, do you have the package @libnet-cups-perl@ installed?

11/29/2012 12:55 pm - Anirvan Sarkar
No it is not installed.

11/29/2012 12:56 pm - Alexis Bienveniie
Can you install it and try again?

11/29/2012 01:02 pm - Anirvan Sarkar

| have installed the package and now | am able to print the papers.

Maybe you should add the @libnet-cups-perl@ package as a dependency while installing AMC.
Thank you for your quick response.

11/29/2012 01:14 pm - Alexis Bienveniie
The @libnet-cups-perl@ package is listed in the _recommends_ dependencies for AMC debian/ubuntu packages, so that it should be installed together

with AMC if you configured your package installer to always install _recommends_, which | think is the default behavior.

11/29/2012 04:35 pm - red sea

my problem was not for all AMC projects, my problem in 1 project.

the project work good and i can print with pdf viewer , but not with amc.
and amc got data from scan papers.

i sent the project with email, i don't know what the problem?!

regards

11/30/2012 04:24 pm - Anirvan Sarkar
Alexis Bienvenue wrote:

> it should be installed together with AMC if you configured your package installer to always install _recommends_, which | think is the default behavior.
| installed AMC with @dpkg@ following the instructions in the wiki [[Building AMC from repository]]. After searching the internet | found

"here":http://askubuntu.com/questions/20031/do-dpkg-and-apt-get-install-dependencies that dpkg does not handle dependencies, it's a low level
package management tool.
| found the recommended packages of AMC from source:debian/control and | installed them using @apt-get@.

11/30/2012 04:39 pm - Alexis Bienvenlie
Ok, | see. Let's add something about that in the wiki page you followed...

12/13/2012 06:44 pm - red sea

thank you, the printer can't print the papers when i used "AMCcode=red" because i have w/b laser printer , not a color printer.

12/14/2012 08:20 am - Alexis Bienveniie

- % Done changed from 0 to 100

- Status changed from New to Closed
